library nektor.widgets.card;

import 'package:flutter/material.dart';

/// NormalCard - Wraps a ListTitle inside a Card
class NormalCard extends StatelessWidget {
    NormalCard({this.image, this.title, this.subTitle, this.trailing});

    final String title;
    final String subTitle;
    final Widget image;
    final Widget trailing;

    @override
    Widget build(BuildContext context) {
        return Card(
            child: Column(
                mainAxisSize: MainAxisSize.min,
                children: <Widget>[
                    ListTile(
                        leading: image,
                        title: Text(title),
                        subtitle: Text(subTitle),
                        trailing: trailing,
                    )
                ],
            ),
        );
    }
}